#
# Fix or remove  install.patch (seems systemd files are installed now)
Summary:	The sar and iostat system monitoring commands
Summary(pl.UTF-8):	Polecenia sar i iostat dla systemu Linux
Summary(ru.UTF-8):	Содержит программы системного мониторинга sar и iostat
Summary(uk.UTF-8):	Містить команди системного моніторингу sar та iostat
Summary(zh_CN.UTF-8):	sar, iostat 等系统监视工具
# use stable versions
# Sysstat 11.5.x (development version).
# Sysstat 11.4.x (stable version).
# Sysstat 11.2.x (stable version).
Name:		sysstat
Version:	11.4.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://pagesperso-orange.fr/sebastien.godard/%{name}-%{version}.tar.xz
# Source0-md5:	76e449bb83a25d95355694338b5ace70
Source2:	%{name}.init
Source3:	crontab
Patch1:		install.patch
URL:		http://perso.wanadoo.fr/sebastien.godard/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	lm_sensors-devel
BuildRequires:	rpmbuild(macros) >= 1.671
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,preun):	/sbin/chkconfig
Requires:	crondaemon
Requires:	rc-scripts
Requires:	systemd-units >= 38
Obsoletes:	iostat
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_prefix}/lib/sa

%description
This package provides the sar and iostat commands for the Linux
operating system, similar to their traditional UNIX counterparts. They
enable system monitoring of disk, network, and other IO activity.

%description -l pl.UTF-8
Pakiet ten udostępnia polecenia sar i iostat dla systemu Linux podobne
w działaniu do tradycyjnych narzędzi systemu Unix. Polecenia te
umożliwiają monitorowanie obciążenia zasobów dyskowych, interfejsów
sieciowych i innych operacji wejścia/wyjścia.

%description -l ru.UTF-8
Этот пакет содержит программы sar и iostat для Linux, похожие на
традиционные одноименные программы UNIX. Они позволяют осуществлять
мониторинг дисковой, сетевой и прочей активности системы.

%description -l uk.UTF-8
Цей пакет містить програми sar та iostat для Linux, схожі на
традиційні відповідні програми UNIX. Вони дозволяють здійснювати
моніторинг дискової, мережевої та іншої активності системи.

%description -l zh_CN.UTF-8
本软件提供了用于Linux的系统监视工具, 可以监视磁盘, 网络以及 其他 IO 的活动情况.

%prep
%setup -q
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%configure \
	history=28 \
	compressafter=31 \
	cron_owner=root \
	cron_interval=10 \
	sa_lib_dir=%{_libexecdir} \
	--enable-install-cron \
	--disable-stripping \
	--with-systemdsystemunitdir=%{systemdunitdir}

%{__sed} -i 's/SADC_OPTIONS=""/SADC_OPTIONS="-L"/' sysstat.sysconfig

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{cron.d,rc.d/init.d,sysconfig},/var/log/sa,%{systemdunitdir}}

%{__make} install \
	CHOWN=/bin/true \
	SYSTEMCTL=/bin/true \
	SYSTEMD_UNIT_DIR=%{systemdunitdir} \
	DESTDIR=$RPM_BUILD_ROOT \
	IGNORE_MAN_GROUP=y \
	IGNORE_FILE_ATTRIBUTES=y

install -p %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/sysstat
cp -p %{SOURCE3} $RPM_BUILD_ROOT/etc/cron.d/%{name}

%{__rm} -r $RPM_BUILD_ROOT%{_docdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add sysstat
%service sysstat restart
%systemd_post sysstat.service

%preun
if [ "$1" = "0" ]; then
	%service sysstat stop
	/sbin/chkconfig --del sysstat
fi
%systemd_preun sysstat.service

%postun
%systemd_reload

%triggerpostun -- %{name} < 10.1.6-1
%systemd_trigger sysstat.service

%triggerpostun -- %{name} < 11.2.0-2
C=0
for log in /var/log/sa/sa[0-9]*; do
	if (LC_ALL=C %{_bindir}/sadf -C "$log" 2>&1 | grep -q "Current sysstat version cannot read the format of this file"); then
		echo "Converting file $log to current format: "
		if (%{_bindir}/sadf -c "$log" > "$log.migrate"); then
			chown --reference "$log" "$log.migrate"
			chmod --reference "$log" "$log.migrate"
			mv "$log.migrate" "$log"
			C=1
		else
			echo "$log MIGRATION FAILED." >&2
		fi
	fi
done
if [ "$C" -eq 1 ]; then
	%service sysstat restart
	%systemd_post sysstat.service
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc CHANGES CREDITS README.md FAQ
%attr(755,root,root) %{_bindir}/cifsiostat
%attr(755,root,root) %{_bindir}/iostat
%attr(755,root,root) %{_bindir}/mpstat
%attr(755,root,root) %{_bindir}/tapestat
%attr(755,root,root) %{_bindir}/pidstat
%attr(755,root,root) %{_bindir}/sadf
%attr(755,root,root) %{_bindir}/sar
%dir %{_libexecdir}
%attr(755,root,root) %{_libexecdir}/sa1
%attr(755,root,root) %{_libexecdir}/sa2
%attr(755,root,root) %{_libexecdir}/sadc
%attr(754,root,root) /etc/rc.d/init.d/sysstat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/cron.d/sysstat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sysstat
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/sysstat.ioconf
%{systemdunitdir}/sysstat.service
%{systemdunitdir}/sysstat-collect.service
%{systemdunitdir}/sysstat-collect.timer
%{systemdunitdir}/sysstat-summary.service
%{systemdunitdir}/sysstat-summary.timer
%{_mandir}/man1/cifsiostat.1*
%{_mandir}/man1/iostat.1*
%{_mandir}/man1/mpstat.1*
%{_mandir}/man1/tapestat.1*
%{_mandir}/man1/pidstat.1*
%{_mandir}/man1/sadf.1*
%{_mandir}/man1/sar.1*
%{_mandir}/man5/sysstat.5*
%{_mandir}/man8/sa1.8*
%{_mandir}/man8/sa2.8*
%{_mandir}/man8/sadc.8*
%attr(750,root,root) %dir /var/log/sa
%changelog
* Sun Jan 22 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/sysstat.git;a=log;h=master

* Sun Jan 15 2017 Elan Ruusamäe <glen@delfi.ee> f49068a
- up to 11.4.3 stable (January 11th, 2017)

* Sun Jan 15 2017 Elan Ruusamäe <glen@delfi.ee> 11d80bb
- remove todo

* Sun Jan 15 2017 Elan Ruusamäe <glen@delfi.ee> 77e8d6c
- fix cron definiton, broken since sysstat-11.0.8-2

* Mon Feb 08 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 5dad005
- rel 3; restart after migration

* Sat Jan 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 243b746
- mv only if succeeded

* Sat Jan 30 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e47e209
- rel 2; add trigger for db migration

* Thu Jan 28 2016 Mateusz Korniak <matkor@pld-linux.org> 8b0f839
- up to 11.2.0 , release 1
replaced opt.patch by IGNORE_FILE_ATTRIBUTES=y
obsolete nfsiostat-sysstat not longer included

* Tue Nov 17 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 18e3ca7
- conversion todo

* Fri Nov 13 2015 Elan Ruusamäe <glen@delfi.ee> 946c23c
- todo about upgrade

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 15d599e
- fix libdir issues

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 7b30f63
- install our crontab which checks for systemd

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 7746159
- modify crontab to skip under systemd (systemd timers already installed)

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 44ba7c8
- add crontab from sysstat-11.0.8/cron/crontab

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 0177033
- obsolete iostat

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 659ee08
- fix systemd install, install systemd timers

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> f9429cf
- install cron even if systemd units are installed (configure opt says to install)

* Wed Oct 28 2015 Elan Ruusamäe <glen@delfi.ee> 244a4cb
- up to 11.0.8

* Mon Mar 09 2015 Jan Rękorajski <baggins@pld-linux.org> 46adc21
- release 5 (by relup.sh)

* Sun Mar 01 2015 Witold Filipczyk <witekfl@poczta.onet.pl> 99db8c8
- explicit sa_lib_dir in configure to let it build on x32

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c61b12a
- updated gettext BR

